// Fragment Shader – file "minimal.frag"

#version 130

precision highp float; // needed only for version 1.30

uniform sampler2D un_texture;
uniform sampler2D shadow_texture;

varying float transparency;

//flat in	 int ex_draw; //kept for reference
in	vec2 ex_texCoord;
in	vec3 ex_Intensity;
in vec4 ex_shadow_tex_coord;
out vec4 out_Color;

void main(void)
{
	//#######################SHADOW#########################
	vec3 tex_coords = ex_shadow_tex_coord.xyz/ex_shadow_tex_coord.w;
	float depth =  texture2D(shadow_texture, tex_coords.xy).r;
	
	float shadow_value = (depth + 0.00001 > tex_coords.z) ? 1.0 : 0.4;
	
	vec4 tmp_color = texture2D(un_texture, ex_texCoord) * vec4(ex_Intensity, 1.0) * vec4(shadow_value, shadow_value, shadow_value, 1.0);
	
	if (tex_coords.x < 0.0 || tex_coords.x > 1.0) {
		tmp_color = vec4(1.0, 0.0, 0.0, 1.0);
	}
	if (tex_coords.y < 0.0 || tex_coords.y > 1.0) {
		tmp_color = vec4(1.0, 0.0, 0.0, 1.0);
	}
	//#######################SHADOW END#####################

	//ex_draw always false
	//vec4 tmp_color = texture2D(un_texture, ex_texCoord) * vec4(ex_Intensity, 1.0);
	out_Color = tmp_color;
	
	if (out_Color.a <= 0.8) discard;
	
	out_Color.a *= transparency;
	
}