// Fragment Shader – file "minimal.frag"

#version 130

precision highp float; // needed only for version 1.30

uniform sampler2D un_texture;
uniform sampler2D un_targetTexture;

in	vec2 ex_texCoord;
in	vec3 ex_Intensity;
in  float ex_weight;
out vec4 out_Color;

void main(void)
{
	vec4 tmp_color_0 = texture2D(un_texture, ex_texCoord) * vec4(ex_Intensity, 1.0);
	vec4 tmp_color_1 = texture2D(un_targetTexture, ex_texCoord) * vec4(ex_Intensity, 1.0);
	vec4 tmp_color = mix(tmp_color_0, tmp_color_1, ex_weight);
	out_Color = tmp_color;
	
	if (out_Color.a <= 0.3) discard;
	
}