// Fragment Shader – file "minimal.frag"

#version 130

precision highp float; // needed only for version 1.30

uniform sampler2D un_texture;

uniform float un_alpha;

in	vec2 ex_texCoord;
in	vec3 ex_Intensity;
out vec4 out_Color;

void main(void)
{
	vec4 tmp_color = texture2D(un_texture, ex_texCoord) * vec4(ex_Intensity, 1.0);
	out_Color = vec4(tmp_color.r, tmp_color.g, tmp_color.b, tmp_color.a * un_alpha);
	
	if (out_Color.a <= 0.3) discard;
	
}